# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

COMPRESSTYPE=".lzma"
K_PREPATCHED="yes"
UNIPATCH_STRICTORDER="yes"
K_SECURITY_UNSUPPORTED="1"

RESTRICT="binchecks strip primaryuri mirror"

ETYPE="sources"
inherit kernel-2 eutils
detect_version
K_NOSETEXTRAVERSION="don't_set_it"

DESCRIPTION="Zen-Sources Kernel Patchset"
HOMEPAGE="http://zen-sources.org"

SRC_URI="${KERNEL_URI} ${ZEN_URI}"
#ZEN_URI="http://zen-sources.org/files/${KV_FULL}.patch${COMPRESSTYPE}"


KEYWORDS="-* ~amd64 ~ppc ~ppc64 ~x86"
IUSE=""

src_unpack(){
        kernel-2_src_unpack
        cd ${S}
	
	epatch ${FILESDIR}/${KV_FULL}.patch${COMPRESSTYPE}	
        #epatch ${DISTDIR}/${KV_FULL}.patch${COMPRESSTYPE}
	epatch "${FILESDIR}/tuxonice-3.0-for-2.6.29.patch.bz2"
}

K_EXTRAEINFO="For more info on zen-sources, and for how to report problems, see: \
${HOMEPAGE}, also go to #zen-sources on freenode"
